UnifAPI Docs
Linkedin

List top-level comments on a LinkedIn post

GET
/linkedin/posts/{id}/comments

Authorization

bearerAuth
AuthorizationBearer <token>

UnifAPI API key (forwarded verbatim as the upstream provider token).

In: header

Path Parameters

id*string
Length1 <= length

Query Parameters

cursor?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/linkedin/posts/string/comments"
{
  "items": [
    {
      "id": "string",
      "urn": "string",
      "text": "string",
      "create_time": 0,
      "created_at": "string",
      "like_count": 0,
      "reply_count": 0,
      "is_pinned": true,
      "is_edited": true,
      "is_author": true,
      "has_previous_replies": true,
      "previous_replies_token": "string",
      "reactions": [
        {
          "type": "string",
          "count": 0
        }
      ],
      "commenter": {
        "id": "string",
        "display_name": "string",
        "headline": "string",
        "url": "string",
        "avatar_url": "string"
      }
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}